#include "xfxelemvec3range.h"

XFxElemVec3Range::XFxElemVec3Range()
    : XAsset()
    , mBase()
    , mAmplitude()
{
    
}

XFxElemVec3Range::~XFxElemVec3Range()
{
    
}

void XFxElemVec3Range::Clear()
{
    mBase = QVector3D();
    mAmplitude = QVector3D();
}

void XFxElemVec3Range::ParseData(QDataStream *aStream)
{
    *aStream
        >> mBase[0]
        >> mBase[1]
        >> mBase[2]
        >> mAmplitude[0]
        >> mAmplitude[1]
        >> mAmplitude[2];
}
